Storage management

Bootstrap 5 Storage management plugin

Storage hook allows you to manage data stored in the browser's memory. Thanks to the component, you can easily add, delete, get data and check their expiration time.

Storage management in the latest Bootstrap 5. Manage data stored in the browser memory. Thanks to the component, you can add, delete, get data and check their end time.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Storage Hook provides methods to add, remove and get Storage.

Set Storage

Use the function setItem() to add data to storage. You can test this method using the example below. The button will call setItem(new Date()) and set a value to name provided in a hook declaration. To use this example again, press the reset button.

        
            
              import React from 'react';
              import { MDBBtn } from 'mdb-react-ui-kit';
              import { useMDBStorage } from 'mdb-react-storage-management';
      
              export default function App() {
                const [item, { setItem, removeItem }] = useMDBStorage('date', '');

                return (
                  <>
                    <MDBBtn onClick={() => setItem(new Date())}>Set storage</MDBBtn>
                    <MDBBtn onClick={removeItem}>Reset Storage</MDBBtn>
                    <span>{item}</span>
                  </>
                );
              }
            
        
    

Set the expiration time

You can set the expiration time (in days) of saved data in local storage

        
            
              setItem(new Date(), 1)
            
        
    

Get storage

Your storage value is saved in the first value returned from hook. If there's no such a key in your localStorage - this value will have the initial one passed as second parameter to the hook.

        
            
              const [item] = useMDBStorage('date', '');
            
        
    

Remove Storage

When the data saved in storage are no longer needed and you want to delete them, use removeItem function.

        
            
              const [item, { setItem, removeItem }] = useMDBStorage('date', '');
            
        
    

Check Storage

You can set a task to check if the data has expired, delete it and set callback function. Set the interval (in minutes) on how often to check expires date, and callback fn in callback property inside the third parameter.

        
            
              const [value, { setItem, removeItem }] = useMDBStorage('name', 'initialValue', { 
                time: 0.5,
                callback: () => { ... //do something }
              )
            
        
    

Advanced example

Show Modal for new users

        
            
              import React, { useState } from 'react';
              import {
                MDBBtn,
                MDBModal,
                MDBModalDialog,
                MDBModalContent,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
              } from 'mdb-react-ui-kit';
              import { useMDBStorage } from 'mdb-react-storage-management';
      
              export default function App() {
                const [isFirstVisit, { setItem: setFirstVisit }] = useMDBStorage('is-first-visit', true);
                const [firstVisitModal, setFirstVisitModal] = useState(false);

                const handleClick = () => {
                  if (isFirstVisit) {
                    setFirstVisitModal(true);
                    setFirstVisit(false);
                  }
                };

                return (
                  <>
                    <MDBBtn onClick={handleClick}>Show modal</MDBBtn>
                    <MDBBtn onClick={() => setFirstVisit(true)}>Reset</MDBBtn>
                    <MDBModal open={firstVisitModal} onClose={() => setFirstVisitModal(false)} tabIndex='-1'>
                      <MDBModalDialog>
                        <MDBModalContent>
                          <MDBModalHeader>
                            <MDBModalTitle>This is modal for new user</MDBModalTitle>
                            <MDBBtn className='btn-close' color='none' onClick={() => setFirstVisitModal(false)}></MDBBtn>
                          </MDBModalHeader>
                          <MDBModalBody>This model will not appear again until you press the reset button.</MDBModalBody>
        
                          <MDBModalFooter>
                            <MDBBtn color='secondary' onClick={() => setFirstVisitModal(false)}>
                              Close
                            </MDBBtn>
                          </MDBModalFooter>
                        </MDBModalContent>
                      </MDBModalDialog>
                    </MDBModal>
                  </>
                );
              }
            
        
    

Show modal after next visit

        
            
              import React, { useState } from 'react';
              import {
                MDBBtn,
                MDBModal,
                MDBModalDialog,
                MDBModalContent,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
              } from 'mdb-react-ui-kit';
              import { useMDBStorage } from 'mdb-react-storage-management';
      
              export default function App() {
                const [visitCounter, { setItem: setVisitCounter, removeItem: resetVisitCounet }] = useMDBStorage('visit-counter', 0);
                const [counterModal, setCounterModal] = useState(false);

                const handleVisitClick = () => {
                  setVisitCounter(visitCounter + 1);
              
                  if (visitCounter === 2) setCounterModal(true);
                };

                return (
                  <>
                    <MDBBtn onClick={handleVisitClick}>Show modal</MDBBtn>
                    <MDBBtn onClick={() => setVisitCounter(0)}>Reset</MDBBtn>
                    <MDBModal open={counterModal} onClose={() => setCounterModal(false)} tabIndex='-1'>
                      <MDBModalDialog>
                        <MDBModalContent>
                          <MDBModalHeader>
                            <MDBModalTitle>This model shows up after the third visit to the page.</MDBModalTitle>
                            <MDBBtn className='btn-close' color='none' onClick={() => setCounterModal(false)}></MDBBtn>
                          </MDBModalHeader>
                          <MDBModalBody>This model will not appear again until you press the reset button.</MDBModalBody>
        
                          <MDBModalFooter>
                            <MDBBtn color='secondary' onClick={() => setCounterModal(false)}>
                              Close
                            </MDBBtn>
                          </MDBModalFooter>
                        </MDBModalContent>
                      </MDBModalDialog>
                    </MDBModal>
                  </>
                );
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Storage management - API


Import

        
            
            import { useMDBStorage } from 'mdb-react-storage-management';
          
        
    

Properties

useMDBStorage

Name Type Default Description Example
value any '' This value is returned from the hook. It contains the current value of item in localStorage or an initial value. const [value, { setItem, removeItem }] = useMDBStorage('name', 'initialValue')
name String '' A name for the key property in your localStorage. const [value, { setItem, removeItem }] = useMDBStorage('name', 'initialValue')
initialValue any '' An initial value for your hook if there's no such a one in your localStorage. const [value, { setItem, removeItem }] = useMDBStorage('name', 'initialValue')
check Object | null null Check the data has not expired. const [value] = useMDBStorage('name', 'initialValue', { time: 0.5, callback: () => { console.log('expired') } })

Methods

Name Type Description Example
setItem Function This method sets a value in localStorage using name provided in a hook. <MDBBtn onClick={() => setItem('test')}>Set value to test</MDBBtn>
removeItem Function This method removes an item in the localStorage with name provided in a hook. <MDBBtn onClick={removeItem}>Remove an item</MDBBtn>

Storage management

Angular Bootstrap 5 Storage management plugin

Storage component allows you to manage data stored in the browser's memory. Thanks to the component, you can easily add, delete, get data and check their expiration time.

Storage management in the latest Bootstrap 5. Manage data stored in the browser memory. Thanks to the component, you can add, delete, get data and check their end time.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Storage Component provides methods to add, remove and get Storage.

Set Storage

Use the method storageService.set() to add data to storage. You can test this method using the example below. The button will call storageService.set('date', new Date());. To use this example again, press the reset button.

        
            
          <button (click)="setStorageBasicExample()" type="button" class="btn btn-primary">
            Set storage
          </button>
          <button (click)="resetStorageBasicExample()" type="button" class="btn btn-primary">
            Reset storage
          </button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbStorageManagementService } from 'mdb-angular-storage-management';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            constructor(private _storageService: MdbStorageManagementService) { }
          
            setStorageBasicExample() {
              this._storageService.set('first-visit', new Date(), 1);
            }

            resetStorageBasicExample() {
              this._storageService.remove('first-visit');
            }
          }
        
          
        
    

Set the expiration time

You can set the expiration time (in days) of saved data in local storage

        
            
            storageService.set('date', new Date(), 1);
          
        
    

Get storage

If you have saved any data in the storage, you can load them using the storageService.get method.

        
            
            storageService.get('name');
          
        
    

Remove Storage

When the data saved in storage are no longer needed and you want to delete them, use storageService.remove method.

        
            
            storageService.remove('name');
          
        
    

Check Storage

You can set a task to check if the data has expired, delete it and set callback function. Set data name, the interval (in minutes) on how often to check expires date, and callback fn.

        
            
            storageService.check('name', 0.5, () => {
              // do something
            });
          
        
    

Advanced example

Show Modal for new users

You can display the modal for new users. Click start button to start simulate this behavior. After next click modal don't show any more until you click reset.

        
            
          import { Component } from '@angular/core';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html'
          })
          export class AppComponent {
            modalRefUser: MdbModalRef<ModalUserComponent> | null = null;
          
            constructor(
              private _storageService: MdbStorageManagementService,
              private _modalService: MdbModalService
            ) {}
          
            setStorageForNewUser() {
              if (this._storageService.get('is-first-visit') === null) {
                this.modalRefUser = this._modalService.open(ModalUserComponent);
          
                this.modalRefUser.onClose.subscribe((message: any) => {
                  this._storageService.set('is-first-visit', false);
                });
              }
            }
          
            resetStorageForNewUser() {
              this._storageService.remove('is-first-visit');
            }
          }
          
          
        
    

Show modal after next visit

If you want to display the modal to the person who will visit the page again, enter as a parameter the information after how many visits to the website the modal should appear. Click start button 3 times to test this feature.

        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            modalRefScoring: MdbModalRef<ModalScoringComponent> | null = null;
          
            constructor(
              private _storageService: MdbStorageManagementService,
              private _modalService: MdbModalService
            ) {}
          
            setStorageForScoring() {
              this.showModalScoring(3);
            }
          
            resetStorageForScoring() {
              this._storageService.remove('visit-counter');
            }
          
            showModalScoring(value: number) {
              const counter = Number(this._storageService.get('visit-counter')) || 0;
              const newCounter = counter + 1;
          
              this._storageService.set('visit-counter', newCounter);
          
              if (newCounter === value) {
                this.modalRefScoring = this._modalService.open(ModalScoringComponent);
              }
            }
          }
          
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Storage management - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/storage-management
     
        
    

Import

        
            
          import { MdbStorageManagementService } from 'mdb-angular-storage-management';
          …
          @NgModule ({
            ...
            providers: [MdbStorageManagementService],
            ...
          })
      
        
    

Methods

Name Description Example
set(name: string, value: any, expires?: number | Date) Add new data to local storage storageService.set('name', 'value', 1)
get(name:string) Get data from local storage storageService.get('name')
remove(name:string) Remove data from local storage storageService.remove('name')
check(name: string, time: number, callback: () => void) Check the data has not expired storageService.check('value',1,callback)
        
            
          <button (click)="setStorage()" type="button" class="btn btn-primary">
            Set cookie
          </button>                             
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbStorageManagementService } from 'mdb-angular-storage-management';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            constructor(private _storageService: MdbStorageManagementService) {}
          
            setStorage() {
              this._storageService.set('first-visit', new Date(), 1);
            }
          }

Storage management

Vue Bootstrap 5 Storage management plugin

Storage component allows you to manage data stored in the browser's memory. Thanks to the component, you can easily add, delete, get data and check their expiration time.

Storage management in the latest Bootstrap 5 and Vue 3. Manage data stored in the browser memory. Thanks to the component, you can add, delete, get data and check their end time.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Storage Component provides methods to add, remove and get Storage.

Set Storage

Use the method Storage.set() to add data to storage. You can test this method using the example below. The button will call Storage.set('date', new Date());. To use this example again, press the reset button.

        
            
              <template>
                <MDBBtn color="primary" @click="setBasicStorage">
                  Set storage
                </MDBBtn>
                <MDBBtn color="primary" @click="resetBasicStorage">
                  reset storage
                </MDBBtn>
                <span>
                  {{ basicStorage }}
                </span>
              </template>
            
        
    
        
            
              <script>
                import { inject, ref } from "vue";
                import { MDBBtn } from 'mdb-vue-ui-kit';
                export default {
                  components: {
                    MDBBtn
                  },
                  setup() {
                    const Storage = inject("MDBStorage");
                    const basicStorage = ref(Storage.get('first-visit'));
                    const setBasicStorage = () => {
                      Storage.set("first-visit", new Date(), { expires: 1 });
                      basicStorage.value = Storage.get("first-visit");
                    };
                    const resetBasicStorage = () => {
                      Storage.remove("first-visit");
                      basicStorage.value = Storage.get("first-visit");
                    };
                    return {
                      basicStorage,
                      setBasicStorage,
                      resetBasicStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
                import { MDBBtn } from 'mdb-vue-ui-kit';
            
                const Storage = inject<Storage>("MDBStorage");
                const basicStorage = ref(Storage?.get('first-visit'));
                const setBasicStorage = () => {
                  Storage?.set("first-visit", new Date(), { expires: 1 });
                  basicStorage.value = Storage?.get("first-visit");
                };
                const resetBasicStorage = () => {
                  Storage?.remove("first-visit");
                  basicStorage.value = Storage?.get("first-visit");
                };
              </script>
            
        
    

Set the expiration time

You can set the expiration time (in days) of saved data in local storage

        
            
              <script>
                import { inject, ref } from "vue";
                export default {
                  setup() {
                    const Storage = inject("MDBStorage");
                    const setExpTimeStorage = () => {
                      Storage.set('date', new Date(), 1);
                    };
                    return {
                      setExpTimeStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";

                const Storage = inject<Storage>("MDBStorage");
                const setExpTimeStorage = () => {
                  Storage?.set('date', new Date(), 1);
                };
              </script>
            
        
    

Get storage

If you have saved any data in the storage, you can load them using the Storage.get method.

        
            
              <script>
                import { inject, ref } from "vue";
                export default {
                  setup() {
                    const Storage = inject("MDBStorage");
                    const getStorage = () => {
                      Storage.get("storage-name");
                    };
                    return {
                      getStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
             
                const Storage = inject<Storage>("MDBStorage");
                const getStorage = () => {
                  Storage?.get("storage-name");
                };
              </script>
            
        
    

Remove Storage

When the data saved in storage are no longer needed and you want to delete them, use Storage.remove method.

        
            
              <script>
                import { inject, ref } from "vue";
                export default {
                  setup() {
                    const Storage = inject("MDBStorage");
                    const removeStorage = () => {
                      Storage.remove("storage-name");
                    };
                    return {
                      removeStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
              
                const Storage = inject<Storage>("MDBStorage");
                const removeStorage = () => {
                  Storage?.remove("storage-name");
                };
              </script>
            
        
    

Check Storage

You can set a task to check if the data has expired, delete it and set callback function. Set data name, the interval (in minutes) on how often to check expires date, and callback fn.

        
            
              <script>
                import { inject, ref } from "vue";
                export default {
                  setup() {
                    const Storage = inject("MDBStorage");
                    const checkStorage = () => {
                      Storage.check('name', 0.5, () => {
                        // do something
                      });
                    };
                    return {
                      checkStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
               
                const Storage = inject<Storage>("MDBStorage");
                const checkStorage = () => {
                  Storage?.check('name', 0.5, () => {
                    // do something
                  });
                };
              </script>
            
        
    

Advanced example

Show Modal for new users

Using the showModalNewUser method you can display the modal for new users. Click start button to start simulate this behavior. After next click modal don't show any more until you click reset.

        
            
              <template>
                <MDBBtn color="primary" @click="setNewUserStorage">
                  Show modal
                </MDBBtn>
                <MDBBtn color="primary" @click="resetNewUserStorage"> Reset </MDBBtn>
                <MDBModal
                  id="newUserModal"
                  tabindex="-1"
                  labelledby="newUserModalLabel"
                  v-model="newUserModal"
                >
                  <MDBModalHeader>
                    <MDBModalTitle id="newUserModalLabel">
                      This is modal for new user
                    </MDBModalTitle>
                  </MDBModalHeader>
                  <MDBModalBody>
                    This model will not appear again until you press the reset
                    button and refresh the page
                  </MDBModalBody>
                  <MDBModalFooter>
                    <MDBBtn color="secondary" @click="newUserModal = false">Close</MDBBtn>
                  </MDBModalFooter>
                </MDBModal>
              </template>
            
        
    
        
            
              <script>
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';
                export default {
                  components: {
                    MDBBtn,
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter
                  },
                  setup() {
                    const Storage = inject("MDBStorage");
                    const newUserModal = ref(false);
                    const setNewUserStorage = () => {
                      Storage.showModalNewUser(newUserModal);
                    };
                    const resetNewUserStorage = () => {
                      Storage.remove("is-first-visit");
                    };
                    return {
                      newUserModal,
                      setNewUserStorage,
                      resetNewUserStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';
            
                const Storage = inject<Storage>("MDBStorage");
                const newUserModal = ref(false);
                const setNewUserStorage = () => {
                  Storage?.showModalNewUser(newUserModal);
                };
                const resetNewUserStorage = () => {
                  Storage?.remove("is-first-visit");
                };
              </script>
            
        
    

Show modal after next visit

If you want to display the modal to the person who will visit the page again, you can use the showModalScoring method. Enter as a parameter the information after how many visits to the website the modal should appear. Click start button 3 times to test this feature.

        
            
              <template>
                <MDBBtn color="primary" @click="setNextVisitStorage">
                  Show modal
                </MDBBtn>
                <MDBBtn color="primary" @click="resetNextVisitStorage">
                  Reset
                </MDBBtn>
                <MDBModal
                  id="nextVisitModal"
                  tabindex="-1"
                  labelledby="nextVisitModalLabel"
                  v-model="nextVisitModal"
                >
                  <MDBModalHeader>
                    <MDBModalTitle id="nextVisitModalLabel">
                      This model shows up after the third visit to the page.
                    </MDBModalTitle>
                  </MDBModalHeader>
                  <MDBModalBody>
                    This model will not appear again until you press the reset
                    button and refresh the page
                  </MDBModalBody>
                  <MDBModalFooter>
                    <MDBBtn color="secondary" @click="nextVisitModal = false"
                      >Close</MDBBtn
                    >
                  </MDBModalFooter>
                </MDBModal>
              </template>
            
        
    
        
            
              <script>
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';
                export default {
                  components: {
                    MDBBtn,
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter
                  },
                  setup() {
                    const Storage = inject("MDBStorage");
                    const nextVisitModal = ref(false);
                    const setNextVisitStorage = () => {
                      Storage.showModalScoring(nextVisitModal, 3);
                    };
                    const resetNextVisitStorage = () => {
                      Storage.remove("visit-counter");
                    };
                    return {
                      nextVisitModal,
                      setNextVisitStorage,
                      resetNextVisitStorage,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';
              
                const Storage = inject<Storage>("MDBStorage");
                const nextVisitModal = ref(false);
                const setNextVisitStorage = () => {
                  Storage?.showModalScoring(nextVisitModal, 3);
                };
                const resetNextVisitStorage = () => {
                  Storage?.remove("visit-counter");
                };
              </script>
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Storage management - API


Import

        
            
          import { createApp } from "vue";
          import App from "./App.vue";
          import Storage from 'mdb-vue-storage';
          
          const app = createApp(App);
          
          app.use(Storage).mount("#app");
        
        
    

Methods

Name Description Example
set Add new data to local storage Storage.set( ... )
get Get data from local storage Storage.get( ... )
remove Remove data from local storage Storage.remove( ... )
check Check the data has not expired Storage.check( ... )
showModalNewUser Shows modal for new user Storage.showModalNewUser( ... );
showModalScoring Shows modal on specific visit Storage.showModalScoring( ... );
        
            
          <script>
            import { inject } from "vue";
            export default {
              setup() {
                const Storage = inject("MDBStorage");
                Storage.set('name', 'value', 1);
              },
            };
          </script>